#ifndef Countdown_h
#define Countdown_h

class CountdownTimer {
  public:
  CountdownTimer(unsigned long ms);
  void start();
  void stop();
  void finish();
  void add(unsigned long ms);
  void substract(unsigned long ms);
  void set(unsigned long ms);
  bool isPaused();
  bool finished();
  unsigned long remaining();

  private:
  unsigned long _endTime;
  unsigned long _remaining;
  bool _running;
  bool _atZero;

  void update();
};



#endif
